"use strict";

const urlLib = require("url");
const createError = require("create-error");

let ParsingError = createError("ParsingError");

module.exports = {
	ParsingError: ParsingError,
	parse: function parseMXC(uri) {
		let parsed = urlLib.parse(uri);
	
		if (parsed.protocol === "mxc:" && parsed.slashes === true) {
			return {
				homeserver: parsed.host,
				id: parsed.pathname.replace(/^\/+/, "")
			};
		} else {
			throw new ParsingError("Specified URI is not an MXC URI");
		}
	}
};
